2018-06-24 12:06 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001181FSSCP---------public2010-05-15 17:29
Reporterstarman01 
Assigned ToGoober5000 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version 
Summary0001181: "change-ship class"SEXP is ignoring subsytem allignment settings in ships.tbl
DescriptionNot sure this is actually a bug or a missing feature, but when I use the change-shipclass SEXP then the turret-alligment in the table is ignored when the new ship will appear (I mean Bobboaus feature that you can set the initially position of the turret arms, so that they point to the front).

The new ship class enters with standard settings, turret arms pointing straight up. Would be neat if that can be fixed, since WCS uses this a lot.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0007342

karajorma (administrator)

One very important question is are you using 3.6.9 to test this? Because the SEXP works somewhat differently in the HEAD branch.

If you are using the HEAD branch are you changing the ship class before the ship arrives in mission or after? Cause again the code works differently depending on which you choose.

~0007343

starman01 (reporter)

It happens with all builds, including the new RC8

~0007349

Goober5000 (administrator)

Last edited: 2007-01-01 00:23

This sounds like a missing feature. The sexp simply doesn't copy that information.

I need to rewrite that sexp anyway though.

~0007959

Goober5000 (administrator)

Yeah, this is my fault. I actually commented out the code that did this. :p

I'll rewrite the change-ship-class function and then resolve this.

~0011956

The_E (administrator)

Is this still an issue? Looking at the current code, it seems to be fixed.

~0011962

Goober5000 (administrator)

Not quite. Someone ignored the code I had commented out at the bottom, and added the same code earlier in a function. >:( Not only that, they added it under a comment that had nothing to do with the code. >>:((

I've committed a cleaned-up fix.

~0011963

Goober5000 (administrator)

Fixed in 6100.
+Notes

-Issue History
Date Modified Username Field Change
2006-12-27 16:05 starman01 New Issue
2006-12-31 03:29 karajorma Note Added: 0007342
2006-12-31 04:02 starman01 Note Added: 0007343
2007-01-01 00:22 Goober5000 Note Added: 0007349
2007-01-01 00:23 Goober5000 Note Edited: 0007349
2007-01-22 16:41 Goober5000 Status new => assigned
2007-01-22 16:41 Goober5000 Assigned To => Goober5000
2007-04-11 03:29 Goober5000 Note Added: 0007959
2010-05-12 09:00 The_E Note Added: 0011956
2010-05-15 17:18 Goober5000 Note Added: 0011962
2010-05-15 17:29 Goober5000 Note Added: 0011963
2010-05-15 17:29 Goober5000 Status assigned => resolved
2010-05-15 17:29 Goober5000 Resolution open => fixed
+Issue History